%define Werror_cflags %nil
%define major  2
%define libname %mklibname %{name} %{major}
%define resizemajor 0
%define libresize %mklibname %{name}-fs-resize %{resizemajor}
%define develname %mklibname %{name} -d

Name:           parted
Version:        3.1
Release:        %mkrel 3
Summary:        Flexible partitioning tool
License:        GPLv3+
Group:          System/Kernel and hardware
URL:            http://www.gnu.org/software/parted/
Source0:        http://ftp.gnu.org/gnu/parted/parted-%{version}.tar.xz
Source1:        http://ftp.gnu.org/gnu/parted/parted-%{version}.tar.xz.sig
Patch0:		parted-3.1-link.patch
Requires(post): info-install
Requires(preun):info-install
BuildRequires:  device-mapper-devel
BuildRequires:  gettext-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:  libuuid-devel
BuildRequires:  libgpm-devel
BuildRequires:  libncurses-devel
BuildRequires:  libreadline-devel
BuildRequires:	util-linux
BuildRequires:	texinfo

%package -n %{libname}
Summary:        The parted library
Group:          Development/C
Requires:       e2fsprogs
Obsoletes:      %{mklibname %{name} 1.7} = %{version}

%package -n %{libresize}
Summary:        The parted library
Group:          Development/C

%package -n %{develname}
Summary:        Files required to compile software that uses libparted
Group:          Development/C
Requires:       e2fsprogs
Requires:       %{libname} = %{version}
Requires:	%{libresize} = %{version}
Provides:       libparted-devel = %{version}
Provides:       parted-devel = %{version}
Obsoletes:	%{mklibname -d parted 1.8 7} < %{version}
Obsoletes:	%{mklibname -d parted 1.8 8} < %{version}-%{release}
Obsoletes:	%{mklibname -d parted 1.8 2} < %{version}
Obsoletes:      %{mklibname -d parted 1.8 1} < %{version}
Obsoletes:	%{mklibname -d parted 1.7 1} < %{version}

%description
GNU Parted is a program that allows you to create, destroy,
resize, move and copy hard disk partitions. This is useful for
creating space for new operating systems, reorganising disk
usage, and copying data to new hard disks.

%description -n %{libname}
This package includes the dynamic libraries

%description -n %{libresize}
This package includes the dynamic libraries

%description -n %{develname}
This package includes the header files and libraries needed to
link software with libparted.

%prep
%setup -q
mv libparted/fs/r libparted/fsresize
mv libparted/fs/fsresize.sym libparted/fsresize/
%patch0 -p0

%build
autoreconf -fi
%configure2_5x	\
		--enable-device-mapper \
		--with-readline \
		--disable-static \
		--with-pic \
		--with-packager=%{_real_vendor} \
		--with-packager-bug-reports="https://bugs.mageia.org"
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%find_lang %{name}

%check
export PATH=$PATH:/sbin
make check

%post
%_install_info %{name}

%preun
%_remove_install_info %{name}

%files -f %{name}.lang
%doc README
%{_sbindir}/*
%{_mandir}/man*/*
%{_infodir}/parted.info*

%files -n %{libname}
%doc TODO
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{libresize}
%{_libdir}/lib%{name}-fs-resize.so.%{resizemajor}
%{_libdir}/lib%{name}-fs-resize.so.%{resizemajor}.*

%files -n %{develname}
%doc AUTHORS ChangeLog doc/API
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/libparted.pc


%changelog

* Wed Jan 23 2013 fwang <fwang> 3.1-3.mga3
+ Revision: 391307
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 3.1-2.mga3
+ Revision: 362428
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 03 2012 fwang <fwang> 3.1-1.mga3
+ Revision: 278208
- update file list
- more linkage dir patch
- fix sourcedir
- more fix
- generate Makefile
- finally move fsresize into seperate dir
- force reconf
- fix linkage
- try build static lib
- new version 3.1

* Tue May 08 2012 fwang <fwang> 3.0-3.mga2
+ Revision: 234900
- br texinfo
- sync with fedora patches to cleanup tests
- drop invalid provides
- specify packager

* Tue Jan 24 2012 tv <tv> 3.0-2.mga2
+ Revision: 200545
- patch 0: fix crash on probing nilfs2 (mga#4135)

* Sat Jul 09 2011 dams <dams> 3.0-1.mga2
+ Revision: 120744
- Update to 3.0

* Sat Jan 15 2011 mikala <mikala> 2.3-1.mga1
+ Revision: 18421
- Drop mdk macro
- Remove BuildRoot
- imported package parted

